Package com.independentsoft.graph.groups

# Enum Class GroupVisibility

java.lang.Object
java.lang.Enum<GroupVisibility>
com.independentsoft.graph.groups.GroupVisibility

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupVisibility>`, `Constable`

public enum GroupVisibility extends Enum<GroupVisibility>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIDDEN_MEMBERSHIP`
  `NONE`
  `PRIVATE`
  `PUBLIC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroupVisibility`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static GroupVisibility[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRIVATE

    public static final GroupVisibility PRIVATE

  - ### PUBLIC

    public static final GroupVisibility PUBLIC

  - ### HIDDEN_MEMBERSHIP

    public static final GroupVisibility HIDDEN_MEMBERSHIP

  - ### NONE

    public static final GroupVisibility NONE

- ## Method Details

  - ### values

    public static GroupVisibility[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GroupVisibility valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null